## org.hibernate.ejb.event
Class EJB3PostLoadEventListener

    java.lang.Object
      org.hibernate.ejb.event.EJB3PostLoadEventListener

All Implemented Interfaces:
  Serializable, CallbackHandlerConsumer, PostLoadEventListener

    public class EJB3PostLoadEventListener

extends Object
implements PostLoadEventListener, CallbackHandlerConsumer

Author:
  Kabir Khan
See Also:
  Serialized Form

Constructor Summary
`EJB3PostLoadEventListener()`
`EJB3PostLoadEventListener(EntityCallbackHandler callbackHandler)`

Method Summary
`void` `onPostLoad(PostLoadEvent event)`
`void` `setCallbackHandler(EntityCallbackHandler callbackHandler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EJB3PostLoadEventListener

    public EJB3PostLoadEventListener()

### EJB3PostLoadEventListener

    public EJB3PostLoadEventListener(EntityCallbackHandler callbackHandler)

Method Detail

### setCallbackHandler

    public void setCallbackHandler(EntityCallbackHandler callbackHandler)

  Specified by:
    `setCallbackHandler` in interface `CallbackHandlerConsumer`

### onPostLoad

    public void onPostLoad(PostLoadEvent event)

  Specified by:
    `onPostLoad` in interface `PostLoadEventListener`

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.